> For the complete documentation index, see [llms.txt](https://docs.devland.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devland.is/reference/problems/template-api-error.md).

# 400 500 Template API Error

The server will not process the request due to various reasons provided by the application template api being requested. The client can try again after fixing the indicated validation issues.

## Extra metadata

### `errorReason`

A ProviderErrorReason is a union type with a localized title and summary or a single localized string. These messages should be informative to the client. Custom error codes provide the client with information on the severity of the error. 400 errors should be expected. (eg. the client does not meet requirements of the api and must act accordingly).

## Example

```
400-500 Template api error
Content-Type: application/problem+json

{
  "type": "https://docs.devland.is/reference/problems/validation-failed",
  "title": "Application TemplateApi Error",
  "status": 400-500,
  "errorReason": {
    "title": "Error Title"
    "summary" : "Detailed error message"
  } | "Error message"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devland.is/reference/problems/template-api-error.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
